PHP 手冊
前一頁 |  | 下一頁

# DOMDocument->loadXML()

DOMDocument->loadXML() -- Load XML from a string

## Description

class DOMDocument {
bool loadXML ( string source )
}

Loads an XML document from a string.

This method may also be called statically to load and create a DOMDocument object. The static invocation may be used when no DOMDocument properties need to be set prior to loading.

## Parameters

source

  The string containing the XML.

## Return Values

成功回傳`TRUE`失敗回傳`FALSE`。

## 範例

範例 1. Creating a Document
`<?php $doc = DOMDocument::loadXML('<root><node/></root>'); echo $doc->saveXML(); $doc = new DOMDocument(); $doc->loadXML('<root><node/></root>'); echo $doc->saveXML(); ?>`

## 參考

DOMDocument->load()
DOMDocument->save()
DOMDocument->saveXML()

前一頁 | 內容 | 下一頁
DOMDocument->loadHTMLFile() | 上一層 | DOMDocument->normalize()